.header {
    background-image: url(../../assets/enter.png);
    background-color: #17a2b8;
    color: #ffffff;
    text-align: center;
    height: 50px;
    line-height: 50px;
    font-size: 30px;
}

.container {
    width: 100%;
    height: calc(100vh - 50px);
}

.menu-col {
    width: 300px;
    max-width: 20%;
    height: calc(100vh - 50px);
    margin: 0;
    float: left;
    background-color: #343a40;
    transition: all ease-in 0.5s;

    .menu-row {
        display: block;
        width: 100%;
        padding: 5px 0px;

        .menu-label {
            display: block;
            position: relative;
            width: 100%;
            height: 50px;
            padding: 5px 10px;
            line-height: 50px;
            color: #c2c7d0;
    
            .label-icon {
                display: inline-block;
                width: 35px;
                font-size: 24px;
                vertical-align: middle;
                text-align: center;
            }
    
            .label-text {
                display: inline-block;
                font-size: 20px;
                line-height: 30px;
                vertical-align: top;
                padding-top: 7px;
                cursor: pointer;
            }
        }

        .menu-label:hover {
            background-color: #f1f1f1;
            color: #000000;
        }
    }

    .active {
        background-color: #007bff !important;
        color: #ffffff !important;
    }

    .admin-name {
        width: 100%;
        color: #c2c7d0;
        border-bottom: solid 1px #4b545c;
        padding: 20px 10px 10px 10px;

        h3 {
            font-size: 20px;
            margin: 0px;
        }

        h2 {
            max-width: 100%;
            font-size: 24px;
            font-weight: bold;
            margin: 5px 0px;
        }

        .name-row {
            width: 100%;
            height: max-content;

            .admin-icon {
                display: inline-block;
                height: max-content;
                font-size: 50px;
            }

            .admin-text {
                width: calc(100% - 50px);
                display: inline-block;
                vertical-align: top;
                padding: 7px 0px 0px 5px;
                overflow: hidden;
                white-space: nowrap;
            }
        }
    }
}

.main-col {
    width: calc(100% - 300px);
    float: left;

    .full {
        width: 100%;
        transition: all ease-in 0.5s;
    }

    .half {
        width: 55%;
        transition: all ease-in 0.5s;
    }

    .col-title {
        width: 100%;
        text-align: center;
        font-size: 24px;
        padding: 5px;
    }

    .list-col {
        height: calc(100vh - 50px - 38px);
        padding: 0px 10px;
        float: left;

        .pending-table {
            display: block;
            width: 100%;
            border: solid 1px grey;
            border-radius: 10px;

            table {
                width: 100%;
                word-break: break-all;
                overflow: hidden;
                border-radius: 10px;

                .center {
                    text-align: center;
                }

                .left {
                    text-align: left;
                }

                thead, tbody { 
                    display: block;
                    width: 100%;
                }

                tbody {
                    height: calc(100vh - 50px - 38px - 30px - 10px);
                    overflow-y: auto;
                    overflow-x: hidden;
                }

                .col-4{
                    width: 40%
                }

                .col-6{
                    width: 60%
                }

                .col-2{
                    width: 20%
                }
                
                tr{
                    display: block;
                }

                tr:nth-child(even) {
                    background-color: #f1f1f1;
                }

                tr:hover {
                    background-color: #4b545c;
                    color: #ffffff !important;
                }

                th {
                    background-color: #343a40;
                    color: #ffffff;
                    border-bottom: solid 1px #343a40;
                }

                th, td {
                    display: inline-block;
                    height: 100%;
                    padding: 5px;
                    text-align: center;
                    vertical-align: middle;
                }

                .active {
                    background-color: #3880ff !important;
                    color: #ffffff;
                }
            }
        }
    }

    .detail-col {
        display: inline-block;
        height: calc(100vh - 50px);
        width: 45%;
        padding: 0px 10px;
        border-left: solid 5px #343a40;
        transition: all ease-in 0.5s;

        .row {
            position: relative;
            
            div {
                display: block;
                height: 38px;
            }

            .close-icon {
                width: 10%;
                font-size: 20px;
                color: #eb445a;
                line-height: 38px;
            }

            .title-text {
                position: absolute;
                width: 100%;
                top: 0px;
            }
        }

        .detail-table {
            display: block;
            width: 100%;
            border: solid 1px grey;
            border-radius: 10px;
            
            table {
                width: 100%;
                word-break: break-all;
                overflow: hidden;
                border-radius: 10px;
                
                tr:nth-child(even) {
                    background-color: #f1f1f1;
                }

                th {
                    width: 140px;
                }
    
                th, td {
                    text-align: left;
                    padding: 5px;
                }
                img{
                    width: 50%;
                }
            }
        }

        .control-board {
            display: block;
            height: 20vh;
        }
    }
}

@media (max-width: 1500px) {
    .main-col {
        width: 80%;
    }
}

@media (max-width: 1000px) {
    .main-col {
        width: calc(100% - 60px);
    }

    .menu-col {
        width: 60px;
        max-width: 20%;
        height: 100vh;
        margin: 0;
        float: left;
        background-color: #343a40;
        transition: all ease-in 0.2s;
    
        .menu-row {
            .menu-label {
                .label-text {
                    display: none;
                }
            }
    
            .menu-label:hover {
                background-color: #f1f1f1;
                color: #000000;
            }
        }
    
        .active {
            background-color: #007bff !important;
            color: #ffffff !important;
        }
    
        .admin-name {
            padding: 10px 0px 0px 5px;

            .name-row {
                width: 100%;
                height: max-content;
    
                .admin-icon {
                    display: inline-block;
                    height: max-content;
                    font-size: 50px;
                }
    
                .admin-text {
                    display: none;
                }
            }
        }
    }
}

.btn-box {
    display: block;
    width: fit-content;
    margin: 10px auto;
    text-align: center;
}

.btn {
    display: block;
    width: 200px;
    height: 40px;
    border-radius: 20px;
    background-color: #28ba62;
    text-align: center;
    line-height: 40px;
    color: #ffffff;
    border: solid 1px #28ba62;
    display: inline-block;
    margin: 10px;
}

.btn-rm {
    background-color: #9c3628;
    border: solid 1px #9c3628;
}

.btn:hover {
    background-color: #f4f5f8 !important;
    color: #000000;
    border: solid 1px #000000;
}

.btn:active {
    background-color: #42d77d;
    border: none !important;
}

.cancel-color {
    background-color: #808289 !important;
}

.cancel-color:active {
    background-color: #9d9fa6 !important;
    border: none !important;
}